Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote
Class InvalidUsernameOrPasswordException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.plumtree.remote.ServiceException
                  com.plumtree.remote.InvalidUsernameOrPasswordException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidUsernameOrPasswordException
extends ServiceException

Throw this exception from IAuthProvider.authenticate to tell the portal that the user has entered and invalid username or password. Returned to the portal not as a SoapFault, but as a String containing a status code.

See Also:
  Serialized Form

Constructor Summary
`InvalidUsernameOrPasswordException()` Default constructor.
`InvalidUsernameOrPasswordException(java.lang.String message)` Valued constructor.

Methods inherited from class com.plumtree.remote.ServiceException
`getInnerException, getMessage, getStackTraceAsString, getStatusCode, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidUsernameOrPasswordException

    public InvalidUsernameOrPasswordException()

  Default constructor.

### InvalidUsernameOrPasswordException

    public InvalidUsernameOrPasswordException(java.lang.String message)

  Valued constructor.

Parameters:
  `message` - string to display in error message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.